Package org.apache.sling.testing.mock.sling.oak

# Class OakMockResourceResolverAdapter

java.lang.Object
org.apache.sling.testing.mock.sling.oak.OakMockResourceResolverAdapter

All Implemented Interfaces:
  `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`

public class OakMockResourceResolverAdapter extends Object implements org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter
Resource resolver type adapter for Jackrabbit Oak repository.

## Constructor Summary

Constructors
Constructor
Description
`OakMockResourceResolverAdapter()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.ResourceResolverFactory`
`newResourceResolverFactory()`
`org.apache.sling.jcr.api.SlingRepository`
`newSlingRepository()`
`org.apache.sling.jcr.api.SlingRepository`
`newSlingRepositoryFromSnapshot(Object snapshot)`
`Object`
`snapshot(org.apache.sling.jcr.api.SlingRepository repository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OakMockResourceResolverAdapter

public OakMockResourceResolverAdapter()

## Method Details

### newResourceResolverFactory

public org.apache.sling.api.resource.ResourceResolverFactory newResourceResolverFactory()

Specified by:
  `newResourceResolverFactory` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`

### newSlingRepository

public org.apache.sling.jcr.api.SlingRepository newSlingRepository()

Specified by:
  `newSlingRepository` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`

### snapshot

public Object snapshot(org.apache.sling.jcr.api.SlingRepository repository)

Specified by:
  `snapshot` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`

### newSlingRepositoryFromSnapshot

public org.apache.sling.jcr.api.SlingRepository newSlingRepositoryFromSnapshot(Object snapshot)

Specified by:
  `newSlingRepositoryFromSnapshot` in interface `org.apache.sling.testing.mock.sling.spi.ResourceResolverTypeAdapter`